<template>
    <div>
        <div class="row">

            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h4>Data Indikator Inovasi Daerah</h4>
                        <p>21 Indikator dari Data Isian Inovasi Daerah. Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p>
                        <br>
                    </div>
                </div>
            </div>

            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">9. Pedoman Teknis [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Ketentuan dasar yang memberi arah bagaimana inovasi daerah harus dilakukan</p>
                            <div class="form-check" v-for="(pedoman_teknis,index) in pedomanteknis" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="pedoman_teknis_id"
                                            :value="pedoman_teknis.id"
                                            v-model="currentData.pedoman_teknis_id"
                                            v-validate="'required'"
                                            name="pedoman_teknis_id"
                                            data-vv-as="Pedoman Teknis [Kuisioner]">
                                    {{ pedoman_teknis.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('pedoman_teknis_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>9. Pedoman Teknis [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf)</p>
                            <div v-for="(file, index) in  pedoman_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Pedoman Teknis File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/pedoman_file"
                                extensions="doc,docx,pdf"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf"
                                :multiple="false"
                                v-model="pedoman_file"
                                @input-filter="inputFilter"
                                @input-file="uploadPedoman"
                                ref="pedoman_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="pedoman_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('pedoman_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">9. Pedoman Teknis [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="pedoman_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.pedoman_filename"
                                v-validate="'required'"
                                name="pedoman_filename"
                                data-vv-as="Pedoman Teknis [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('pedoman_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">10. Pengelola Inovasi [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Pengelola inovasi ditetapkan dengan Surat Keputusan</p>
                            <div class="form-check" v-for="(pengelolaan_inovasi,index) in pengelolaaninovasi" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="pengelolaan_inovasi_id"
                                            :value="pengelolaan_inovasi.id"
                                            v-model="currentData.pengelolaan_inovasi_id"
                                            v-validate="'required'"
                                            name="pengelolaan_inovasi_id"
                                            data-vv-as="Pengelola Inovasi [Kuisioner]">
                                    {{ pengelolaan_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('pengelolaan_inovasi_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>10. Pengelola Inovasi [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  pengelolaan_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Pengelolaan Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/pengelolaan_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="pengelolaan_file"
                                @input-filter="inputFilter"
                                @input-file="uploadPengelolaan"
                                ref="pengelolaan_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="pengelolaan_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('pengelolaan_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">10. Pengelola Inovasi [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="pengelolaan_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.pengelolaan_filename"
                                v-validate="'required'"
                                name="pengelolaan_filename"
                                data-vv-as="Pengelola Inovasi [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('pengelolaan_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">11. Ketersediaan Informasi Layanan [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Kesiapan informasi layanan untuk dapat digunakan</p>
                            <div class="form-check" v-for="(info_layanan,index) in infolayanan" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="info_layanan_id"
                                            :value="info_layanan.id"
                                            v-model="currentData.info_layanan_id"
                                            v-validate="'required'"
                                            name="info_layanan_id"
                                            data-vv-as="Ketersediaan Informasi Layanan [Kuisioner]">
                                    {{ info_layanan.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('info_layanan_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>11. Ketersediaan Informasi Layanan [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  info_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Ketersediaan Informasi Layanan File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/info_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="info_file"
                                @input-filter="inputFilter"
                                @input-file="uploadInfo"
                                ref="info_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="info_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('info_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">11. Ketersediaan Informasi Layanan [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="info_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.info_filename"
                                v-validate="'required'"
                                name="info_filename"
                                data-vv-as="Ketersediaan Informasi Layanan [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('info_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">12. Penyelesaian Layanan Pengaduan [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Penyelesaian informasi/ pemberitahuan yang disampaikan oleh pengguna tentang inovasi daerah</p>
                            <div class="form-check" v-for="(layanan_pengaduan,index) in layananpengaduan" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="layanan_pengaduan_id"
                                            :value="layanan_pengaduan.id"
                                            v-model="currentData.layanan_pengaduan_id"
                                            v-validate="'required'"
                                            name="layanan_pengaduan_id"
                                            data-vv-as="Penyelesaian Layanan Pengaduan [Kuisioner]">
                                    {{ layanan_pengaduan.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('layanan_pengaduan_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>12. Penyelesaian Layanan Pengaduan [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  pengaduan_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Penyelesaian Layanan Pengaduan File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/pengaduan_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="pengaduan_file"
                                @input-filter="inputFilter"
                                @input-file="uploadPengaduan"
                                ref="pengaduan_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="pengaduan_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('pengaduan_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">12. Penyelesaian Layanan Pengaduan [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="pengaduan_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.pengaduan_filename"
                                v-validate="'required'"
                                name="pengaduan_filename"
                                data-vv-as="Penyelesaian Layanan Pengaduan [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('pengaduan_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">13. Tingkat Partisipasi Stakeholder [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Tindakan pihak pihak tertentu dalam mengambil bagian pada kegiatan inovasi daerah</p>
                            <div class="form-check" v-for="(stakeholder,index) in stakeholder" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="stakeholder_id"
                                            :value="stakeholder.id"
                                            v-model="currentData.stakeholder_id"
                                            v-validate="'required'"
                                            name="stakeholder_id"
                                            data-vv-as="Tingkat Partisipasi Stakeholder [Kuisioner]">
                                    {{ stakeholder.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('stakeholder_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>13. Tingkat Partisipasi Stakeholder [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  stakeholder_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Stakeholder File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/stakeholder_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="stakeholder_file"
                                @input-filter="inputFilter"
                                @input-file="uploadStakeholder"
                                ref="stakeholder_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="stakeholder_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('stakeholder_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">13. Tingkat Partisipasi Stakeholder [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="stakeholder_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.stakeholder_filename"
                                v-validate="'required'"
                                name="stakeholder_filename"
                                data-vv-as="Tingkat Partisipasi Stakeholder [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('stakeholder_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">14. Kemudahan Informasi Layanan [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Tidak memerlukan banyak tenaga untuk memperoleh informasi layanan</p>
                            <div class="form-check" v-for="(kemudahan_layanan,index) in kemudahanlayanan" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="kemudahan_layanan_id"
                                            :value="kemudahan_layanan.id"
                                            v-model="currentData.kemudahan_layanan_id"
                                            v-validate="'required'"
                                            name="kemudahan_layanan_id"
                                            data-vv-as="Kemudahan Informasi Layanan [Kuisioner]">
                                    {{ kemudahan_layanan.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('kemudahan_layanan_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>14. Kemudahan Informasi Layanan [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  layanan_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Kemudahan Informasi Layanan File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/layanan_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="layanan_file"
                                @input-filter="inputFilter"
                                @input-file="uploadLayanan"
                                ref="layanan_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="layanan_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('layanan_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">14. Kemudahan Informasi Layanan [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="layanan_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.layanan_filename"
                                v-validate="'required'"
                                name="layanan_filename"
                                data-vv-as="Kemudahan Informasi Layanan [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('layanan_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">15. Kemudahan Proses Inovasi Yang Dihasilkan [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Tidak atau memerlukan banyak tenaga untuk melakukan inovasi</p>
                            <div class="form-check" v-for="(kemudahan_proses,index) in kemudahanproses" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="kemudahan_proses_id"
                                            :value="kemudahan_proses.id"
                                            v-model="currentData.kemudahan_proses_id"
                                            v-validate="'required'"
                                            name="kemudahan_proses_id"
                                            data-vv-as="Kemudahan Proses Inovasi Yang Dihasilkan [Kuisioner]">
                                    {{ kemudahan_proses.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('kemudahan_proses_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>15. Kemudahan Proses Inovasi Yang Dihasilkan [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  proses_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Kemudahan Proses Inovasi File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/proses_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="proses_file"
                                @input-filter="inputFilter"
                                @input-file="uploadProses"
                                ref="proses_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="proses_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('proses_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">15. Kemudahan Proses Inovasi Yang Dihasilkan [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="proses_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.proses_filename"
                                v-validate="'required'"
                                name="proses_filename"
                                data-vv-as="Kemudahan Proses Inovasi Yang Dihasilkan [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('proses_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>
            <div class="col-md-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <form class="forms-sample">

                        <div class="form-group">
                            <label for="exampleFormControlSelect1">16. Online Sistem [Kuisioner] <a style="color:red;">*</a></label>
                            <p style="font-size:12px; text-align: justify;">Jaringan prosedur yang dibuat secara daring</p>
                            <div class="form-check" v-for="(online_sistem,index) in onlinesistem" :key="index">
                                <label class="form-check-label">
                                    <input  type="radio"
                                            class="form-check-input"
                                            id="online_sistem_id"
                                            :value="online_sistem.id"
                                            v-model="currentData.online_sistem_id"
                                            v-validate="'required'"
                                            name="online_sistem_id"
                                            data-vv-as="Online Sistem [Kuisioner]">
                                    {{ online_sistem.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('online_sistem_id') }}</div>
                        </div>

                         <div class="form-group">
                            <label>16. Online Sistem [Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan upload data pendukung terkait jawaban yang dipilih pada kuisioner. Kebutuhan data pendukung adalah file tipe dokumen (doc/docx/pdf) atau file tipe foto atau gambar (jpg/jpeg)</p>
                            <div v-for="(file, index) in  online_file" :key="index">
                              <img v-if="!file.error" :src="getFile(file.name)" alt="Online Sistem File" width="100" height="auto" >
                              <span v-else>Can't Preview File</span>
                                  <br/>
                              <span>File: {{file.name}}</span> |
                              <span>Size: {{file.size | formatSize}}</span>|
                              <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                              <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                              <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                              <span v-else></span>
                              <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            </div>

                            <file-upload
                                class="btn btn-primary"
                                post-action="/upload/online_file"
                                extensions="doc,docx,pdf,jpg,jpeg,png,"
                                accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf,image/png,image/jpeg"
                                :multiple="false"
                                v-model="online_file"
                                @input-filter="inputFilter"
                                @input-file="uploadOnline"
                                ref="online_file"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="online_file"
                                data-vv-as="Upload File"
                                v-validate="'required'">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('online_file') }}</div>
                        </div>

                        <div class="form-group">
                            <label for="exampleInputUsername1">16. Online Sistem [Nama Dokumen Data Pendukung]</label>
                            <p style="font-size:12px; text-align: justify;">Silahkan sebutkan nama dokumen yang anda upload</p>
                            <input  type="text"
                                class="form-control"
                                id="online_filename"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.online_filename"
                                v-validate="'required'"
                                name="online_filename"
                                data-vv-as="Online Sistem [Nama Dokumen Data Pendukung]">
                            <div class="text-danger small">{{ veeErrors.first('online_filename') }}</div>
                        </div>

                    </form>
                  </div>
                </div>
            </div>

        </div>
        <button class="btn btn-primary" type="submit" @click.prevent="submit()">Submit form</button>
    </div>
</template>

<script>

    export default {
        props: ['dataprops'],
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },

        //Binding Data
        data() {
            return {
                component:'Page3Component',
                token:document.head.querySelector('meta[name="csrf-token"]').content,
                currentData:{
                    // id:'',
                    pedoman_teknis_id:'',
                    pedoman_file:'',
                    pedoman_filename:'',
                    pengelolaan_inovasi_id:'',
                    pengelolaan_file:'',
                    pengelolaan_filename:'',
                    info_layanan_id:'',
                    info_file:'',
                    info_filename:'',
                    layanan_pengaduan_id:'',
                    pengaduan_file:'',
                    pengaduan_filename:'',
                    stakeholder_id:'',
                    stakeholder_file:'',
                    stakeholder_filename:'',
                    kemudahan_layanan_id:'',
                    layanan_file:'',
                    layanan_filename:'',
                    kemudahan_proses_id:'',
                    proses_file:'',
                    proses_filename:'',
                    online_sistem_id:'',
                    online_file:'',
                    online_filename:'',
                },

                //initializing property form
                pedoman_teknis_id:[],
                pengelolaan_inovasi_id:[],
                info_layanan_id:[],
                layanan_pengaduan_id:[],
                stakeholder_id:[],
                kemudahan_layanan_id:[],
                kemudahan_proses_id:[],
                online_sistem_id:[],

                //initializing property funtion get data
                pedomanteknis:[],
                pengelolaaninovasi:[],
                infolayanan:[],
                layananpengaduan:[],
                stakeholder:[],
                kemudahanlayanan:[],
                kemudahanproses:[],
                onlinesistem:[],

                //initializing property upload file
                // files: [],
                pedoman_file:[],
                pengelolaan_file:[],
                info_file:[],
                pengaduan_file:[],
                stakeholder_file:[],
                layanan_file:[],
                proses_file:[],
                online_file:[],
                image_folder:"iconFile"

            }
        },

        created(){
            this.initial();
            this.getPedomanTeknis();
            this.getPengelolaanInovasi();
            this.getInfoLayanan();
            this.getLayananPengaduan();
            this.getStakeholder();
            this.getKemudahanLayanan();
            this.getKemudahanProses();
            this.getOnlineSistem();
            // this.testData();
        },

        methods: {
            initial(){
                this.currentData.id = this.dataprops.id
            },
            testData(){
                this.currentData = {
                    pedoman_teknis_id:3,
                    pedoman_file:'test',
                    pedoman_filename:'test',
                    pengelolaan_inovasi_id:3,
                    pengelolaan_file:'test',
                    pengelolaan_filename:'test',
                    info_layanan_id:3,
                    info_file:'test',
                    info_filename:'test',
                    layanan_pengaduan_id:3,
                    pengaduan_file:'test',
                    pengaduan_filename:'test',
                    stakeholder_id:3,
                    stakeholder_file:'test',
                    stakeholder_filename:'test',
                    kemudahan_layanan_id:3,
                    layanan_file:'test',
                    layanan_filename:'test',
                    kemudahan_proses_id:3,
                    proses_file:'test',
                    proses_filename:'test',
                    online_sistem_id:3,
                    online_file:'test',
                    online_filename:'test',
                }
            },
            //function to get all data from laravel route (Frontend/Home)
            getPedomanTeknis() {
                axios.get('/form3/get/pedomanteknis').then(response => {
                   this.pedomanteknis = response.data
                })
            },
            getPengelolaanInovasi() {
                axios.get('/form3/get/pengelolaaninovasi').then(response => {
                   this.pengelolaaninovasi = response.data
                })
            },
            getInfoLayanan() {
                axios.get('/form3/get/infolayanan').then(response => {
                   this.infolayanan = response.data
                })
            },
            getLayananPengaduan() {
                axios.get('/form3/get/layananpengaduan').then(response => {
                   this.layananpengaduan = response.data
                })
            },
            getStakeholder() {
                axios.get('/form3/get/stakeholder').then(response => {
                   this.stakeholder = response.data
                })
            },
            getKemudahanLayanan() {
                axios.get('/form3/get/kemudahanlayanan').then(response => {
                   this.kemudahanlayanan = response.data
                })
            },
            getKemudahanProses() {
                axios.get('/form3/get/kemudahanproses').then(response => {
                   this.kemudahanproses = response.data
                })
            },
            getOnlineSistem() {
                axios.get('/form3/get/onlinesistem').then(response => {
                   this.onlinesistem = response.data
                })
            },

            //function when user click the button submit
            submit(){
                this.$validator.validate().then(valid => {
                    if (valid) {
                        //Insert data to backend(laravel)
                        this.insertData()
                        //to next component
                        this.toNextComponent('Page4Component')
                    }
                 });
            },

            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },

            //function send data to backend (/form2/send/Id) and get the the current Id
            async insertData(){
                // let self = this
                this.currentData.pedoman_file =`${this.pedoman_file[0].postAction}/${this.pedoman_file[0].name}`
                this.currentData.pengelolaan_file =`${this.pengelolaan_file[0].postAction}/${this.pengelolaan_file[0].name}`
                this.currentData.info_file =`${this.info_file[0].postAction}/${this.info_file[0].name}`
                this.currentData.pengaduan_file =`${this.pengaduan_file[0].postAction}/${this.pengaduan_file[0].name}`
                this.currentData.stakeholder_file =`${this.stakeholder_file[0].postAction}/${this.stakeholder_file[0].name}`
                this.currentData.layanan_file =`${this.layanan_file[0].postAction}/${this.layanan_file[0].name}`
                this.currentData.proses_file =`${this.proses_file[0].postAction}/${this.proses_file[0].name}`
                this.currentData.online_file =`${this.online_file[0].postAction}/${this.online_file[0].name}`
                let data = this.formData(this.currentData)
                let id = this.dataprops.id
                await axios.post(`/form3/send/${id}`,data).then(response => {
                   this.currentData.id = response.data
                })
            },

            //function send to next component
            toNextComponent(visit){
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);
                let data = {
                    back:this.component,
                    data:this.currentData,

                    visit
                }
                this.$emit('datacomponent', data)

            },

            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },

            //function for activing upload file when user upload the file
            uploadPedoman() {
                this.$refs.pedoman_file.active = true
            },
            uploadPengelolaan() {
                this.$refs.pengelolaan_file.active = true
            },
            uploadInfo() {
                this.$refs.info_file.active = true
            },
            uploadPengaduan() {
                this.$refs.pengaduan_file.active = true
            },
            uploadStakeholder() {
                this.$refs.stakeholder_file.active = true
            },
            uploadLayanan() {
                this.$refs.layanan_file.active = true
            },
            uploadProses() {
                this.$refs.proses_file.active = true
            },
            uploadOnline() {
                this.$refs.online_file.active = true
            },

            getFile(link){
              return `${this.image_folder}/file.png`
            },

        },
    }
</script>

<style>

</style>
